Index: generic/src/debug/print.c
===================================================================
--- generic/src/debug/print.c	(revision 73e9b49f68fcee880d656c3073aeba64b022fbfc)
+++ generic/src/debug/print.c	(revision 17b1b995af0dceb89d3a300e9b4f48e5c8a1b799)
@@ -36,7 +36,7 @@
 #include <arch.h>
 
-SPINLOCK_INITIALIZE(printflock);		/**< printf spinlock */
-
-#define __PRINTF_FLAG_PREFIX		0x00000001	/* show prefixes 0x or 0*/
+SPINLOCK_INITIALIZE(printflock);			/**< printf spinlock */
+
+#define __PRINTF_FLAG_PREFIX		0x00000001	/* show prefixes 0x or 0 */
 #define __PRINTF_FLAG_SIGNED		0x00000002	/* signed / unsigned number */
 #define __PRINTF_FLAG_ZEROPADDED	0x00000004	/* print leading zeroes */
@@ -63,5 +63,5 @@
 
 static char digits_small[] = "0123456789abcdef"; 	/* Small hexadecimal characters */
-static char digits_big[] = "0123456789ABCDEF"; 	/* Big hexadecimal characters */
+static char digits_big[] = "0123456789ABCDEF"; 		/* Big hexadecimal characters */
 
 static inline int isdigit(int c)
@@ -81,7 +81,9 @@
 }
 
-/** Print one string without adding \n at end
+/** Print one string without appending '\n' to the end
+ *
  * Dont use this function directly - printflock is not locked here
- * */
+ *
+ */
 static int putstr(const char *str)
 {
@@ -116,4 +118,5 @@
 
 /** Print one formatted character
+ *
  * @param c character to print
  * @param width 
@@ -126,6 +129,6 @@
 	
 	if (!(flags & __PRINTF_FLAG_LEFTALIGNED)) {
-		while (--width > 0) { 	/* one space is consumed by character itself hence predecrement */
-			/* FIXME: painful slow */
+		while (--width > 0) { 	/* one space is consumed by character itself hence the predecrement */
+			/* FIXME: painfully slow */
 			putchar(' ');	
 			++counter;
@@ -136,5 +139,5 @@
 	++counter;
 
-	while (--width > 0) { /* one space is consumed by character itself hence predecrement */
+	while (--width > 0) { /* one space is consumed by character itself hence the predecrement */
 		putchar(' ');
 		++counter;
@@ -151,5 +154,4 @@
  * @return number of printed characters or EOF
  */
-						
 static int print_string(char *s, int width, int precision, __u64 flags)
 {
@@ -276,5 +278,5 @@
 
 	/* print leading spaces */
-	if (size > precision) /* We must print whole number not only a part */
+	if (size > precision) /* We must print the whole number,  not only a part */
 		precision = size;
 
@@ -347,15 +349,17 @@
 /** General formatted text print
  *
- * Print string formatted according the fmt parameter
- * and variant arguments. Each formatting directive
+ * Print string formatted according to the fmt parameter
+ * and variadic arguments. Each formatting directive
  * must have the following form:
  * % [ flags ] [ width ] [ .precision ] [ type ] conversion
  *
  * FLAGS:
- * #	Force to print prefix. For conversion %o is prefix 0, for %x and %X are prefixes 0x and 0X and for conversion %b is prefix 0b.
+ * #	Force to print prefix.
+ *	For conversion %o the prefix is 0, for %x and %X prefixes are 0x and 0X and for conversion %b the prefix is 0b.
  * -	Align to left.
  * +	Print positive sign just as negative.
  *   (space)	If printed number is positive and '+' flag is not set, print space in place of sign.
- * 0	Print 0 as padding instead of spaces. Zeroes are placed between sign and the rest of number. This flag is ignored if '-' flag is specified.
+ * 0	Print 0 as padding instead of spaces. Zeroes are placed between sign and the rest of number.
+ *	This flag is ignored if '-' flag is specified.
  * 
  * WIDTH:
@@ -363,12 +367,12 @@
  * If width is specified with a '*' character instead of number, width is taken from parameter list. 
  * Int parameter expected before parameter for processed conversion specification.
- * If this value is negative it is taken its absolute value and the '-' flag is set.
+ * If this value is negative its absolute value is taken and the '-' flag is set.
  *
  * PRECISION:
  * Value precision. For numbers it specifies minimum valid numbers.
  * Smaller numbers are printed with leading zeroes. Bigger numbers are not affected.
- * Strings with more than precision characters are cutted of.
- * Just as width could be '*' used instead a number.
- * A int value is then expected in parameters. When both width and precision are specified using '*',
+ * Strings with more than precision characters are cut off.
+ * Just as with width, an '*' can be used used instead of a number.
+ * An integer value is then expected in parameters. When both width and precision are specified using '*',
  * first parameter is used for width and second one for precision.
  * 
@@ -674,3 +678,2 @@
 	return counter;
 }
-
